"use strict";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.inDevelopmentMode = exports.settings = void 0;
/** Build-time constants. */
exports.settings = {
    /** Mode in which this project was build. */
    mode: MODE,
    /** Git commit from which this project was build. */
    commitId: COMMIT_ID,
    /** Build number. Only set by CI builds. */
    buildNumber: BUILD_NUMBER,
};
/** Return `true` iff the project was built in development mode. */
function inDevelopmentMode() {
    return exports.settings.mode === "development" /* Mode.Development */;
}
exports.inDevelopmentMode = inDevelopmentMode;
