"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
const localization_1 = require("@vs-vcremote-loc/localization");
const utils_1 = require("@vs-vcremote-loc/utils");
const process_1 = require("process");
const [lang, key, ...args] = process_1.default.argv.slice(2);
void (() => __awaiter(void 0, void 0, void 0, function* () {
    yield (0, localization_1.initialize)();
    yield (0, localization_1.changeLanguage)(lang, localization_1.LanguageCodeKind.VisualStudioUICulture);
    utils_1.Logging.info(`String for key ${key}:`, (0, localization_1.localize)(key, args));
}))();
